Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class NewImage

    java.lang.Object
      ij.gui.NewImage

public class NewImage
extends java.lang.Object

New image dialog box plus several static utility methods for creating images.

Field Summary
`static int` | `CHECK_AVAILABLE_MEMORY`
`static int` | `FILL_BLACK`
`static int` | `FILL_RAMP`
`static int` | `FILL_WHITE`
`static int` | `GRAY16`
`static int` | `GRAY32`
`static int` | `GRAY8`
`static int` | `RGB`

Constructor Summary
`NewImage()`

Method Summary
`static ImagePlus` | `createByteImage(java.lang.String title, int width, int height, int slices, int options)`
`static ImagePlus` | `createFloatImage(java.lang.String title, int width, int height, int slices, int options)`
`static ImagePlus` | `createImage(java.lang.String title, int width, int height, int nSlices, int bitDepth, int options)`
`static ImagePlus` | `createRGBImage(java.lang.String title, int width, int height, int slices, int options)`
`static ImagePlus` | `createShortImage(java.lang.String title, int width, int height, int slices, int options)` Creates an unsigned short image.
`static ImagePlus` | `createUnsignedShortImage(java.lang.String title, int width, int height, int slices, int options)` Obsolete.
`static void` | `open(java.lang.String title, int width, int height, int nSlices, int type, int options)`
`static void` | `savePreferences(java.util.Properties prefs)` Called when ImageJ quits.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAY8

    public static final int GRAY8

See Also:
  Constant Field Values

### GRAY16

    public static final int GRAY16

See Also:
  Constant Field Values

### GRAY32

    public static final int GRAY32

See Also:
  Constant Field Values

### RGB

    public static final int RGB

See Also:
  Constant Field Values

### FILL_BLACK

    public static final int FILL_BLACK

See Also:
  Constant Field Values

### FILL_RAMP

    public static final int FILL_RAMP

See Also:
  Constant Field Values

### FILL_WHITE

    public static final int FILL_WHITE

See Also:
  Constant Field Values

### CHECK_AVAILABLE_MEMORY

    public static final int CHECK_AVAILABLE_MEMORY

See Also:
  Constant Field Values

Constructor Detail

### NewImage

    public NewImage()

Method Detail

### createByteImage

    public static ImagePlus createByteImage(java.lang.String title,
                                            int width,
                                            int height,
                                            int slices,
                                            int options)

### createRGBImage

    public static ImagePlus createRGBImage(java.lang.String title,
                                           int width,
                                           int height,
                                           int slices,
                                           int options)

### createShortImage

    public static ImagePlus createShortImage(java.lang.String title,
                                             int width,
                                             int height,
                                             int slices,
                                             int options)

  Creates an unsigned short image.

### createUnsignedShortImage

    public static ImagePlus createUnsignedShortImage(java.lang.String title,
                                                     int width,
                                                     int height,
                                                     int slices,
                                                     int options)

  Obsolete. Short images are always unsigned.

### createFloatImage

    public static ImagePlus createFloatImage(java.lang.String title,
                                             int width,
                                             int height,
                                             int slices,
                                             int options)

### open

    public static void open(java.lang.String title,
                            int width,
                            int height,
                            int nSlices,
                            int type,
                            int options)

### createImage

    public static ImagePlus createImage(java.lang.String title,
                                        int width,
                                        int height,
                                        int nSlices,
                                        int bitDepth,
                                        int options)

### savePreferences

    public static void savePreferences(java.util.Properties prefs)

  Called when ImageJ quits.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD